Subject: Re: AW: read() on serial port
From: ROLAND <[email-masked]>
To: "Martin, Andreas {GW~Mannheim}" <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Jan 2002 07:14:55 -0800 (PST)

Mmmm....
I don't know why you think that would work...
Anyways, it doesn't solve the problem, I still can't
get the program to work...
You have any other ideas??

Roland

--- "Martin, Andreas {GW~Mannheim}"
<[email-masked]> wrote:
> Hi,
> 
> simply try to remove the backslash from your remark.
> 
> 
>    charsin=read(f3,anmes,256); /* read message + cr
> */
> 
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: ROLAND [mailto:[email-masked]]
> Gesendet am: Dienstag, 29. Januar 2002 14:12
> An: [email-masked]
> Betreff: read() on serial port
> 
> I just can't figure it out...
> Here is the code of the part that does not work.
> 
> signal(SIGALRM,alarm_handler); /* set signal handler
> */
> alarm(TIMOUT);		       /* set alarm */
> while(mesan!=SET){
>     if(progopt==SET)	printf("<");
>     charsin=read(f3,anmes,256); /* read message + \n
> */
> 	if(anmes[2]=='0'&&anmes[3]=='1')
> 	mesan=SET; /* message is ack/nak message */
> }
> alarm(0);		/* reset alarm */
> signal(SIGALRM,SIG_DFL); /* reset signal handler */
> 
> For some strange reason my program just locks on the
> read(), and then nothing works anymore (not even the
> signal and alarm).
> Does anybody have a clue???
> The program should try to read an ACK/NACK from the
> serial port and if it did not read anything within
> 10
> secs, it should trigger the alarm.
> Please help me with this, I don't know what to do
> anymore.
> 
> Roland
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Great stuff seeking new owners in Yahoo! Auctions! 
> http://auctions.yahoo.com
> 
> --
> Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

__________________________________________________
Do You Yahoo!?
Great stuff seeking new owners in Yahoo! Auctions! 
http://auctions.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/